Get customer breaches
Path Parameters
customerId*string
Customer UUID
Format
uuidQuery Parameters
localeCode?string
Locale for breach content (e.g. en-GB)
Default
"en-GB"Header Parameters
SW-PARTNER-ID*string
Partner organization identifier
SW-API-KEY*string
API authentication key
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://connect.safeweb.co/api/integrations/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/breaches" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"breachStatus": true,
"count": 1,
"breaches": [
{
"id": "cdeaec20-8e97-498a-acbe-4508fbe25c74-Adobe-0",
"breachName": "Adobe",
"title": "Adobe",
"emails": [
"cedargrove@safeweb.co"
],
"breachDate": "2013-10-04T00:00:00+00:00",
"breachCategories": [
"Email addresses",
"Password hints",
"Passwords",
"Usernames"
],
"resolved": false,
"generatedDescription": "Your email address has been found in a large breach from October 2013, exposing usernames, email addresses, password hints, and encrypted passwords.",
"nextSteps": [
"Change your passwords for all online accounts.",
"Enable multi-factor authentication (MFA).",
"Use a password manager to create strong, unique passwords."
]
}
]
}{
"success": false,
"error": "Customer ID is required"
}{
"success": false,
"error": "Failed to verify org API key"
}{
"success": false,
"error": "Customer not found or does not belong to partner"
}{
"success": false,
"error": "Partner ID and API key are required in headers"
}{
"success": false,
"error": "Failed to retrieve customer breaches"
}Get customer monitored assets GET
Returns the list of domains and email addresses monitored for the given customer. The customer must belong to the authenticated partner.
Update customer info PATCH
Update a customer's non-monitoring details such as contact name, email address, billing configuration, and plan. The customer must belong to the authenticated partner.